package com.bocloud.cmp.model.hmc.sdk.job;

import com.alibaba.fastjson.JSON;
import com.bocloud.cmp.model.hmc.sdk.module.Author;
import com.bocloud.cmp.model.hmc.sdk.module.Link;

import java.util.List;

/**
 * JobResultEntry
 * <p>
 * 提交作业任务返回的结果，查询Job返回的结果
 * </p>
 *
 * @author 007
 */
public class JobResultEntry {
    /**
     * id
     */
    private String id;
    /**
     * title
     */
    private String title;
    /**
     * published
     */
    private String published;
    /**
     * links
     */
    private List<Link> links;
    /**
     * author
     */
    private Author author;
    /**
     * content
     */
    private JobResultContent content;

    /**
     * @return the id
     */
    public String getId() {
        return id;
    }

    /**
     * @param id the id to set
     */
    public void setId(String id) {
        this.id = id;
    }

    /**
     * @return the title
     */
    public String getTitle() {
        return title;
    }

    /**
     * @param title the title to set
     */
    public void setTitle(String title) {
        this.title = title;
    }

    /**
     * @return the published
     */
    public String getPublished() {
        return published;
    }

    /**
     * @param published the published to set
     */
    public void setPublished(String published) {
        this.published = published;
    }

    /**
     * @return the links
     */
    public List<Link> getLinks() {
        return links;
    }

    /**
     * @param links the links to set
     */
    public void setLinks(List<Link> links) {
        this.links = links;
    }

    /**
     * @return the author
     */
    public Author getAuthor() {
        return author;
    }

    /**
     * @param author the author to set
     */
    public void setAuthor(Author author) {
        this.author = author;
    }

    /**
     * @return the content
     */
    public JobResultContent getContent() {
        return content;
    }

    /**
     * @param content the content to set
     */
    public void setContent(JobResultContent content) {
        this.content = content;
    }

    public JobResultEntry() {
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
